<template>
  <div class="section-thuonghieu">
    <div class="flex">
      <div class="info">
        <h2 class="title">{{ brand.name }}</h2>
        <div class="description">
          {{ brand.description }}
        </div>
      </div>
      <div class="logo">
        <img :src="baseImageUrl + brand.icon" />
      </div>
    </div>
    <div class="img-detail">
      <img :src="resizeImage(baseImageUrl + brand.cover, 626, 220)" />
    </div>
    <div class="tab">
      <a v-for="sub in brand.sub_brands" :key="sub.id" href="javascript:;">
        {{ sub.name }}
      </a>
    </div>
  </div>
</template>

<script>
import Helper from '../../../assets/config'

export default {
  name: 'ProductBrand',
  props: {
    brand: {
      type: Object,
      default: null,
    },
  },
  computed: {
    baseImageUrl() {
      return Helper.baseImageUrl
    },
  },
  methods: {
    resizeImage(url, width, height) {
      return Helper.resizeImage(url, width, height)
    },
  },
}
</script>

<style></style>
